void calib_redplot_11_06()
{

  gROOT->SetStyle("Plain");
  gStyle->SetOptFit(1111);
  gStyle->SetOptStat(1111);
  TGaxis::SetMaxDigits(3);

  static const Int_t n_events = 400;

  Int_t unix_time_start = 1260127514;

  Int_t count       = 0;
  Int_t event_count = 0;

  Int_t event_no[n_events];
  Int_t unix_time[n_events];

  Double_t time_beam_on[n_events];
  Double_t time_beam_off[n_events];
  Double_t time_start[n_events];
  Double_t time_minimum[n_events];
  Double_t pos_start[n_events];
  Double_t pos_min[n_events];
  Double_t beamloss_total[n_events];
  Double_t beamloss_sec7[n_events];

  Double_t time[n_events];

  Double_t strike[n_events];
  Double_t strike_time[n_events];
  Double_t acceleration[n_events];
  Double_t pulse_width[n_events];

  //New Plots in here

  TH1F* h_start_position = new TH1F("", "", 40, 64.1, 64.2);
  h_start_position->SetTitle("Target 1 Hold Position Calibration 05/11/2009 1");
  h_start_position->GetXaxis()->SetTitle("BCD (mm) ");
  h_start_position->GetYaxis()->SetTitle("Entries");
 
  TH1F* h_pulse_width   = new TH1F("", "", 100, 33.0, 41.0);
  h_pulse_width->SetTitle("Target 1 Pulse Width Calibration 06/11/2009 1");
  h_pulse_width->GetXaxis()->SetTitle("Pulse Width (ms) ");
  h_pulse_width->GetYaxis()->SetTitle("Entries");

  TH1F* h_fit_min_depth   = new TH1F("", "", 100, 30.0, 31.0);
  h_fit_min_depth->SetTitle("Target 1 BCD Minimum Calibration 06/11/2009 1");
  h_fit_min_depth->GetXaxis()->SetTitle("BCD (mm) ");
  h_fit_min_depth->GetYaxis()->SetTitle("Entries");

  TH1F* h_acceleration   = new TH1F("", "", 100, 920.0, 1020.0);
  h_acceleration->SetTitle("Target 1 Acceleration In Calibration 06/11/2009 1");
  h_acceleration->GetXaxis()->SetTitle("Acceleration (m/s/s) ");
  h_acceleration->GetYaxis()->SetTitle("Entries");

  TH1F* h_bcd_test   = new TH1F("", "", 50, 30.2, 31.2);
  h_bcd_test->SetTitle("Target 1 BCD Calibration Calibration 06/11/2009 1");
  h_bcd_test->GetXaxis()->SetTitle("BCD (mm) ");
  h_bcd_test->GetYaxis()->SetTitle("Entries");

  //________________________________________________________

 
  ifstream fp1;

  fp1.open("/scratch/hodgson/calibration_2009_11_06_19_25.red");

  std::string line;

  for(Int_t i = 0; i < 400; i++)
  {
    
    count = count + 1;
    event_count = count + 1621;

    std::getline(fp1, line);
    std::istringstream ss(line);
    
    ss
      >> event_no[i]
      >> unix_time[i]
      >> pos_start[i]
      >> time_start[i]
      >> time_beam_on[i]
      >> time_beam_off[i]
      >> time_minimum[i]
      >> pos_min[i]
      >> strike[i]
      >> strike_time[i]
      >> acceleration[i]
      >> pulse_width[i]
      >> beamloss_sec7[i];

    time[i] = unix_time[i] - unix_time_start;

    //cout << time[i] << endl;  
    
    h_start_position->Fill(pos_start[i]);
    h_pulse_width->Fill(pulse_width[i]);
    h_fit_min_depth->Fill(pos_min[i]);
    h_acceleration->Fill(acceleration[i]);
    
    //if(time[i] > 5400.0 && time[i] < 7200.0)
    //{
	//cout << time[i] << " " << pos_min[i] << endl;
	h_bcd_test->Fill(pos_min[i]);
	//}

  }
  
  fp1.close();

  //Define TGraphs here

  TGraph * tg_start_position = new TGraph(400, time, pos_start);
  tg_start_position->SetMarkerStyle(1);
  //tg_start_position->GetXaxis()->SetRangeUser(25.0, 40.0);
  tg_start_position->GetYaxis()->SetRangeUser(64.1, 64.2);
  tg_start_position->SetTitle("Hold Position vs Time Calibration 06/11/2009 1");
  tg_start_position->GetXaxis()->SetTitle("Time (s) ");
  tg_start_position->GetYaxis()->SetTitle("BCD (mm)");
 
  TGraph * tg_fit_min_depth = new TGraph(400, time, pos_min);
  tg_fit_min_depth->SetMarkerStyle(1);
  //tg_fit_min_depth->GetXaxis()->SetRangeUser(25.0, 40.0);
  tg_fit_min_depth->GetYaxis()->SetRangeUser(29.0, 31.0);
  tg_fit_min_depth->SetTitle("BCD vs Time Calibration 06/11/2009 1");
  tg_fit_min_depth->GetXaxis()->SetTitle("Time (s) ");
  tg_fit_min_depth->GetYaxis()->SetTitle("BCD (mm)");

  TGraph * tg_acceleration = new TGraph(400, time, acceleration);
  tg_acceleration->SetMarkerStyle(1);
  //tg_acceleration->GetXaxis()->SetRangeUser(25.0, 40.0);
  tg_acceleration->GetYaxis()->SetRangeUser(920.0, 1020.0);
  tg_acceleration->SetTitle("Accleration vs Time Calibration 06/11/2009 1");
  tg_acceleration->GetXaxis()->SetTitle("Time (s) ");
  tg_acceleration->GetYaxis()->SetTitle("Acceleration (m/s/s)");

  TGraph * tg_strike = new TGraph(400, time, strike);
  tg_strike->SetMarkerStyle(1);
  //tg_strike->GetXaxis()->SetRangeUser(25.0, 40.0);
  tg_strike->GetYaxis()->SetRangeUser(33.0, 35.0);
  tg_strike->SetTitle("Strike vs Time Calibration 06/11/2009 1");
  tg_strike->GetXaxis()->SetTitle("Time (s) ");
  tg_strike->GetYaxis()->SetTitle("Strike (mm)");
 
  TGraph * tg_disvbl = new TGraph(400, pos_min, beamloss_sec7);
  tg_disvbl->SetMarkerStyle(1);
  tg_disvbl->GetXaxis()->SetRangeUser(26.0, 40.0);
  tg_disvbl->GetYaxis()->SetRangeUser(0.0, 700.0);
  tg_disvbl->SetTitle("Beamloss Sector 7 vs BCD");
  tg_disvbl->GetXaxis()->SetTitle("BCD (mm) ");
  tg_disvbl->GetYaxis()->SetTitle("Beamloss Sector 7 (mV)");

  //_______________________________________________________________

  //Create and draw the canvases

  TCanvas * c1 = new TCanvas("c1","Target Run");
  c1->Divide(1,2);

  c1->cd(1);
  h_start_position->Draw();

  c1->cd(2);
  tg_start_position->Draw("AP");

  TCanvas * c2 = new TCanvas("c2","Target Run");
  c2->Divide(1,2);

  c2->cd(1);
  h_fit_min_depth->Draw();

  c2->cd(2);
  tg_fit_min_depth->Draw("AP");
  
  TCanvas * c3 = new TCanvas("c3","Target Run");
  c3->Divide(1,2);

  c3->cd(1);
  h_acceleration->Draw();
  
  c3->cd(2);
  tg_acceleration->Draw("AP");

  TCanvas * c4 = new TCanvas("c4","Target Run");
  c4->Divide(1,2);

  c4->cd(1);
  tg_strike->Draw("AP");
  
  c4->cd(2);
  tg_acceleration->Draw("AP");

  //  TCanvas * c5 = new TCanvas("c5","Target Run");
  //c5->cd();
 
  //h_pulse_width->Draw();
 
  TCanvas * c6 = new TCanvas("c6","Target Run");
  c6->cd();
  
  Double_t par[6];
  TF1 *g1 = new TF1("g1", "gaus", 30.4, 30.55);
  TF1 *g2 = new TF1("g2", "gaus", 30.55, 30.9);
  TF1 *total = new TF1("total","gaus(0)+gaus(3)", 30.4, 30.9);
  
  total->SetLineColor(2);
  h_bcd_test->Draw();
  h_bcd_test->Fit(g1,"RN");
  h_bcd_test->Fit(g2,"RN+");
  
  g1->GetParameters(&par[0]);
  g2->GetParameters(&par[3]);
  
  total->SetParameters(par);
  
  h_bcd_test->Fit(total,"R+");

  h_bcd_test->Draw();
  
  //TCanvas * c7 = new TCanvas("c7","Target Run");
  //c7->cd();
  
  //tg_disvbl->Draw("AP");


  //c1->SaveAs("Calib_06_11_09_StartPosition.ps");
  //c2->SaveAs("Calib_06_11_09_MinimumBCD.ps");
  //c3->SaveAs("Calib_06_11_09_Acceleration.ps");
  //c4->SaveAs("Calib_06_11_09_Strike_Acceleration.ps");
  //c6->SaveAs("Calib_06_11_09_BCD_Fit.ps");

  //TCanvas * c4 = new TCanvas("c4","Target Run");
  //c4->cd();
 
  //h_pulse_width->Draw();
  


  //_________________________________________________________________

}
